Bug Hunting Session
Bug 124549 - Currently active fill mode button on Area tab can be deactivated by clicking on it
Summary: Currently active fill mode button on Area tab can be deactivated by clicking ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: shubhamgoyal
URL:
Whiteboard: target:6.4.0 target:6.3.0.1
Keywords: difficultyBeginner, easyHack, skillCpp, topicUI
Depends on:
Blocks: Area-Fill-Tab
  Show dependency treegraph
 
Reported: 2019-04-04 15:57 UTC by Mike Kaganski
Modified: 2019-09-22 16:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2019-04-04 15:57:42 UTC
Clicking on a currently active fill mode toggle button on "Area" tab deactivates that button, leaving no active button in the group.

E.g., open a Page Style dialog on the Area tab; select Color button (so it is pressed). Click it second time => it gets deactivated (not pressed) - but still focused; now click on Palette combobox below, which moves focus. Now all the buttons in the fill mode group look identically inactive, despite in reality, Color mode is active.

The problem is that clicking the toggle button should never toggle it off - so a click handler is needed for the toggle buttons in SvxAreaTabPage class (cui/source/tabpages/tparea.cxx), which would check the new status and return to active status if needed.
Comment 1 Roman Kuznetsov 2019-04-05 10:54:49 UTC
confirm in

Version: 6.3.0.0.alpha0+
Build ID: d31d77b7199ecc9a7edc899d9703e9da52d5cbd1
CPU threads: 4; OS: Windows 6.1; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-04-01_00:04:09
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 2 Commit Notification 2019-06-17 21:13:27 UTC
Shubham Goyal committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/770bf5a1f42be2d7397b30b91467a7dca4dc1785%5E%21

tdf#124549 Check Button toggle state before toggle.

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-06-18 09:15:38 UTC
Shubham Goyal committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/1170001897078dd0bdafb2c00da8657e3660267c%5E%21

tdf#124549 Check Button toggle state before toggle.

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.